%define _disable_ld_no_undefined 1
%global _legacy_common_support 1
%define major		0
%define libname		%mklibname %{name} %{major}
%define libnamedevel	%mklibname %{name} -d

Summary:	A text mode Windows Manager
Name:		twin
Version:	0.6.2
Release:	%mkrel 13
License:	GPLv2
Group:		Terminals
Url:		https://sourceforge.net/projects/twin/
Source0:	https://downloads.sourceforge.net/twin/%{name}-%{version}.tar.bz2
Requires:	%{libname} = %{version}-%{release}
BuildRequires:	bison
BuildRequires:	gpm-devel
BuildRequires:	libggi-devel
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xpm)

%description
Twin is a text-mode windowing environment:
it draws and manages text windows on a text-mode display,
like X11 does for graphical windows. It has a built-in window manager
and terminal emulator, and can be used as server for remote clients
in the same style as X11. It can display on Linux console, on X11
and inside itself. 

%package -n %{libname}
Summary:	Libraries from twin
Group:		System/Libraries
Provides:	lib%{name} = %{version}-%{release}

%description -n %{libname}
Twin is a text-mode windowing environment.
This package contain shared libraries to run twin.

%package -n %{libnamedevel}
Summary:	Devellopment files from twin
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}twin0-devel < 0.6.2-5

%description -n %{libnamedevel}
Twin is a text-mode windowing environment.
You need this package to build twin applications.

%prep
%setup -q

# turn on debugging mode (do not stripping!!)
sed -i -e 's|# DEBUG=y|DEBUG=y|' makerules.in

%build
%configure \
	--enable--shlibs=yes \
	--enable--modules=yes \
	--enable--unicode=yes \
	--enable--asm=yes

# 0.4.5 don't like %%make
make

%install
%make_install

%files
%{_bindir}/*
%{_sbindir}/*
%{_libdir}/twin/system.*
%{_libdir}/twin/.twenvrc.sh
%{_libdir}/twin/.twinrc
%{_mandir}/man1/%{name}.*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*

%files -n %{libname}
%{_libdir}/*.so.*
%dir %{_libdir}/twin
%dir %{_libdir}/twin/modules
%{_libdir}/twin/modules/*.so.*
%dir %{_libdir}/twin/modules/HW
%{_libdir}/twin/modules/HW/*.so.*

%files -n %{libnamedevel}
%dir %{_includedir}/Tw
%{_includedir}/Tw/*
%dir %{_includedir}/Tutf
%{_includedir}/Tutf/*
%{_libdir}/*.so
%{_libdir}/*.a


%changelog
* Thu Aug 20 2020 joequant <joequant> 0.6.2-13.mga8
+ Revision: 1616811
- fix gcc10 build
+ danf <danf>
- Switch URLs from http: to https:

* Fri Feb 14 2020 umeabot <umeabot> 0.6.2-12.mga8
+ Revision: 1517519
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.6.2-11.mga7
+ Revision: 1301479
- Mageia 7 Mass Rebuild

* Wed Feb 17 2016 umeabot <umeabot> 0.6.2-10.mga6
+ Revision: 963121
- Mageia 6 Mass Rebuild

* Thu Oct 22 2015 daviddavid <daviddavid> 0.6.2-9.mga6
+ Revision: 894152
- do not strip binaries to fix empty debuginfo (turn on debugging mode)

* Wed Oct 15 2014 umeabot <umeabot> 0.6.2-8.mga5
+ Revision: 748450
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.6.2-7.mga5
+ Revision: 689996
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.6.2-6.mga4
+ Revision: 532616
- Mageia 4 Mass Rebuild

* Wed Aug 21 2013 wally <wally> 0.6.2-5.mga4
+ Revision: 468862
- drop major from devel pkg name

* Mon Jan 14 2013 umeabot <umeabot> 0.6.2-4.mga3
+ Revision: 384923
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 29 2011 fwang <fwang> 0.6.2-3.mga2
+ Revision: 150246
- tighten br

* Tue Apr 19 2011 ennael <ennael> 0.6.2-2.mga1
+ Revision: 88303
- fix build require
- clean spec file
- imported package twin

